WSDiscovery10::Elements::Resolve(3)

NAME
WSDiscovery10::Elements::Resolve

DESCRIPTION
Perl data type class for the XML Schema defined element Resolve from the namespace http://schemas.xmlsoap.org/ws/2005/04/discovery.

METHODS

  new
 my $element = WSDiscovery10::Elements::Resolve->new($data);

Constructor. The following data structure may be passed to new():

 { # WSDiscovery10::Types::ResolveType
   EndpointReference =>  { # WSDiscovery10::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceProperties =>  { # WSDiscovery10::Types::ReferencePropertiesType
     },
     ReferenceParameters =>  { # WSDiscovery10::Types::ReferenceParametersType
     },
     PortType =>  { value => $some_value },
     ServiceName =>  { value => $some_value },
   },
 },

AUTHOR
Generated by SOAP::WSDL